#!/bin/bash

readonly DEST_APP="3DGenceSlicer.app/Contents"
PATCH_PATH=$(cd "$(dirname "$0")"; pwd)
APP_PATH=""

while getopts "s:d:" option ; do
	case "${option}" in
		s) PATCH_PATH=${OPTARG};;
		d) APP_PATH=${OPTARG};;
		\?)
			echo "err: Invalid option: -$OPTARG" >$2
			exit 1
			;;
		:)
			echo "err: Option -$OPTARG requires an argument." >$2
			exit 1
			;;
	esac
done

ABS_DEST_PATH=${APP_PATH}/${DEST_APP}

echo ${APP_PATH}
echo ${PATCH_PATH}
echo ${ABS_DEST_PATH}
if [ "${APP_PATH}" = "" ] || [ "${PATCH_PATH}" = "" ]; then
	echo "err: input path to os x app file or script source cannot be empty!"
	exit 1
fi
if [ ! -d ${ABS_DEST_PATH} ]; then
	echo "err: destination path do not exists!"
	exit 1
fi

patch ${ABS_DEST_PATH}/Info.plist ${PATCH_PATH}/Info.plist.patch