# Copyright (c) 2015 Ultimaker B.V.
# Uranium is released under the terms of the AGPLv3 or higher.

from . import GenceRotateTool
from . import GenceRotateOperation


def getMetaData():
    return {
        "plugin": {
            "name":"Gence Rotate Tool",
            "author": "3DGence",
            "version": "1.0",
            "description": "Provides the Rotate tool.",
            "api": 3
        },
        "tool": {
            "name":  "Rotate",
            "description": "Rotate Model",
            "icon": "rotate",
            "tool_panel": "RotateTool.qml",
            "weight": 1
        }
    }

def register(app):
    return { "tool": GenceRotateTool.GenceRotateTool() }
