import QtQuick 2.4

import "../singletons"

LeftMenuButtonForm {
    function markButtonAsClicked(){
        buttonTextVisibility = false
        buttonBackgroundColor = Colors.clickedButtonBackground
        cornerTriangleInColor = false
        deactivateButton = false
        buttonClicked = true
    }

    function markButtonAsActive(){
        buttonTextVisibility = true
        buttonBackgroundColor = Colors.buttonBackground
        cornerTriangleInColor = true
        buttonClicked = false
        deactivateButton = false
    }

    function markButtonAsNotActive(){
        markButtonAsActive()
        deactivateButton = true
    }
}
