import QtQuick 2.4

ButtonMenuForm {
    Component.onCompleted: {
        contentLoader.source = contentLoaderSource
    }

    signal closed()

    function open() {
        popup.visible = true
    }

    function close() {
        if (popup.visible){
            popup.visible = false
            closed()
        }
    }

    function autocloseFunction(xPos, yPos) {
        if (!menu.visible) {
            return
        }

        if (popup.autoclose){
            var globalCoordinates = popup.mapToItem(mainForm, 0, 0)
            if(xPos < globalCoordinates.x){
                close()
            } else if (xPos > globalCoordinates.x+popup.width){
                close()
            } else if (yPos < globalCoordinates.y){
                close()
            } else if (yPos > globalCoordinates.y+popup.height){
                close()
            }
        }
    }
}
