# Copyright (c) 2015 Ultimaker B.V.
# Uranium is released under the terms of the AGPLv3 or higher.

from . import GenceScaleTool

from UM.i18n import i18nCatalog
i18n_catalog = i18nCatalog("uranium")

def getMetaData():
    return {
        "type": "tool",
        "plugin": {
            "name": "3D Gence scale tool",
            "author": "3DGence",
            "version": "1.0",
            "description": "Scale",
            "api": 3
        },
        "tool": {
            "name": "3DGence translation toon",
            "description": "Move model",
            "icon": "scale",
            "visible": False,
            "weight": -1
        }
    }

def register(app):
    return { "tool": GenceScaleTool.GenceScaleTool() }
