# Copyright (c) 2015 Ultimaker B.V.
# Uranium is released under the terms of the AGPLv3 or higher.

from . import GenceSplitterTool


def getMetaData():
    return {
        "plugin": {
            "name":"Gence Splitter Tool",
            "author": "3DGence",
            "version": "1.0",
            "description": "Splits one object into many",
            "api": 3
        },
        "tool": {
            "name":"Gence Splitter Tool",
            "description": "Splits one object into many",
            "icon": "mesh_splitter_tool",
            "tool_panel": "GenceSplitterTool.qml",
            "weight": 1
        }
    }

def register(app):
    return {"tool": GenceSplitterTool.GenceSplitterTool()}
