import QtQuick 2.4

import "../singletons"

StatusBarForm {

    width:  parent.width
    height: Globals.buttonHeight * 0.47
    id:     form

    function drawProgressFill (valueOfProgress)
    {
      if (fill.width / fill.parent.width > valueOfProgress && valueOfProgress > 0)
        return
        fill.width = Math.ceil (parent.width * valueOfProgress * 100) / 100
    }

    Connections
    {
        target: form
        onProgressChanged:
        {
            drawProgressFill (progress)
        }
    }

    Connections
    {
        target: form
        onProgressLoadingChanged:
        {
           drawProgressFill (progressLoading)
        }
    }

}
