import QtQuick 2.0
import QtGraphicalEffects 1.0

import "../singletons"

Item {
    property alias leftShadow: leftShadow
    property alias rightShadow: rightShadow
    anchors.fill: parent

    //Bottom shadow
    Rectangle {
        id: bottomShadow
        width: parent.width
        height: 1
        color: Colors.shadowLighter

        anchors.top: parent.bottom
    }

    //Right shadow
    Rectangle {
        id: rightShadow
        width: 1
        height: parent.height - 1

        anchors.left: parent.right
        y: 1

        color: Colors.shadowLighter
    }

    //Left shadow
    Rectangle {
        id: leftShadow
        width: 1
        height: parent.height - 1

        anchors.right: parent.left
        y: 1

        color: Colors.shadowLighter
    }
}
